Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 25 Oct 2014, 17:13
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
Pixma MX860 Driver Link Broken
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
mcman56

Joined: 03 Nov 2009
Posts: 102
Location: CA

PostPosted: Tue 09 Nov 2010, 22:29    Post_subject:  Pixma MX860 Driver Link Broken  

The Canon Pixma driver link for the MX860 is broken. Can I get it somewhere else? Thanks!

The link is located in:
Author Message
Patriot


Joined: 15 Jan 2009
Posts: 734


PostPosted: Mon 05 Oct 2009, 07:45 Post subject: Canon pixma printer drivers
Subject description: for Pixma (IP/MP/MX) models v2.70 up-to v3.30 Reply with quote
Hmmm .....

These are canon pixma (inkjet/multifunction) printer drivers grouped by release versions. They have been rebuilt from source for the puppy platform. Canon driver sets v2.90 & v2.80 have been patched for cups backend naming compliance. The backend drivers will work with any CUPS version. The original backends were named cnij_usb and CUPS 1.3.x+ will reject backends with underscores. The patched usb backend (included in all driver pets here) is basically the same to the ones in canon common v3.00 driver.

Canon Pixma/MFP Driver(s) & related software(s)

CUPS Canon bjnp wireless connectivity v0.5.4 [download]
Usage notes:
i) For canon models with wireless interface
ii) For use with canon driver sets v3.00 and below
iii) CUPS Requirements: 1.3.x and above
iv) Note: Only supports CUPS 1.2 and above,
. but actual support is determined during compilation.
. The module here was compiled with CUPS 1.3.10 ...
v) Firewall: If you are unable to see the printer listed,
. you may have to open canon bjnp ports 8611, 8612,
. 8613 and 8614 (all tcp/udp).


Canon common drivers v3.00 [download]
- Provided for canon printer owners (using existing drivers < v3.00)
who may be experiencing "illegal backend" error after upgrading to
recent CUPS versions. (Not required for driver packages listed here.).

From v3.30 driver source
1. ip2700 series [download]

2. mx340 series [download]
3. mx350 series [download]
4. mx870 series [download]

From v3.20 driver source
1. ip4700 series [download]

2. mp250 series [download]
3. mp270 series [download]
4. mp490 series [download]
5. mp550 series [download]
6. mp560 series [download]
7. mp640 series [download]

From v3.10 driver source
1. mx320 series [download]
2. mx330 series [download]
3. mx860 series [download]
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9207
Location: Stratford, Ontario

PostPosted: Tue 09 Nov 2010, 22:58    Post_subject:  

Try this one. If it doesn't work, you can send Patriot a PM and he will re-upload his version.
canon-mx860-3.10.pet
Description 
pet

 Download 
Filename  canon-mx860-3.10.pet 
Filesize  1.67 MB 
Downloaded  424 Time(s) 
Back to top
View user's profile Send_private_message 
mcman56

Joined: 03 Nov 2009
Posts: 102
Location: CA

PostPosted: Wed 10 Nov 2010, 16:59    Post_subject:  

That works!

Thanks!

Dan
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0636s ][ Queries: 12 (0.0255s) ][ GZIP on ]